# Bazaar merge directive format 2 (Bazaar 0.90)
# revision_id: kinkie@squid-cache.org-20091116105236-g580dhhu2tllxn4w
# target_branch: http://www.squid-cache.org/bzr/squid3/trunk/
# testament_sha1: ab4eeecbf4b26b7fffb41310c59c096994876f03
# timestamp: 2009-11-16 11:55:46 +0100
# base_revision_id: squid3@treenet.co.nz-20091114104839-\
#   8nmf5pae5fq3mxsv
# 
# Begin patch
=== modified file 'configure.in'
--- configure.in	2009-11-13 10:28:30 +0000
+++ configure.in	2009-11-16 10:52:36 +0000
@@ -2885,8 +2885,8 @@
 #include <sys/msg.h>])
 
 dnl Check for needed libraries
-AC_CHECK_LIB(nsl, main)
-AC_CHECK_LIB(socket, main)
+AC_SEARCH_LIBS([gethostbyname],[nsl bind])
+AC_SEARCH_LIBS([bind],[socket])
 AC_CHECK_LIB(opcom_stack,main)
 dnl Check for Winsock only on MinGW, on Cygwin we must use emulated BSD socket API
 case "$host_os" in
@@ -2957,16 +2957,15 @@
 		esac
   fi
 
-AC_CHECK_LIB(bsd, main)
+AC_SEARCH_LIBS([strlcpy], [bsd])
 AC_CHECK_LIB(regex, main, [REGEXLIB="-lregex"])
-AC_CHECK_LIB(bind, gethostbyname)
 if test $ac_cv_lib_bind_gethostbyname = "no" ; then
     case "$host" in
 	i386-*-freebsd*)
 		AC_MSG_NOTICE([skipping libresolv checks for $host])
 		;;
 	*)
-		AC_CHECK_LIB(resolv, main)
+		AC_SEARCH_LIBS([res_init],[resolv])
 		;;
     esac
 fi

# Begin bundle
IyBCYXphYXIgcmV2aXNpb24gYnVuZGxlIHY0CiMKQlpoOTFBWSZTWWcKNJsAAZNfgAAwUef//3tk
GAq/7//wUAO5edLtc1cm2pYShIU/U1PTRqbU81I9TT0Q0MjTQBk9BAkopPGgTMVP1EwTRoaAA0aA
DQaammim0pmU9NTeqeiaAADEaaeoNDQc0xMACYAJgABMAATBJIIBpNNNUz0GqPU9pIzUPUekNA0e
oE4a6stKH2/A03pEFKDHA+axaADEJCc1yUK6evBvjQxJQXsAu0wrkzxxEYi4wZzlx3X03a7692xz
4PXaUvjYObhnhZLS7JjWrwRGahwGzNv+Qb7DCoXyT+RRLCtliBmLgeb4w05rWt6YDQYW5Q5ox1zl
bJmDXK58MxGXN5xvMhyDA2FYiRB4HdYBTKZOFRiIcIrLbm3wcT1vHXFPj8lCbWOsHzCvdad/N3jL
CBQdaqcJNqqEagvNBOK+uFKqGFEgKwgf0V8R8QoaoDCE7KBQqjQnyizhUNYmJiTJ1i1Dig6mcUIX
kMsbYYRdZgMI3JS7CahRpH0o6lpJWik8axIhLg6wvNiSEMVqSLlRkkIBktxwYOBCSn3igWNSEjqS
smTjUUSrUJmmLFOIoLsolYwTlRYUlKl8mIqR6iIRukS0CohNJFO60RC8yiPGUz7Bm8lg4kVnKBSk
x7rsBYgUuB28NoW+wSS/obwq4g8LQYLpV2qouOvOteKJ3AJwigkGBm+nvGDKdp9s+Q1R4gZuZVnA
PnapPKZkO6Lpr8C4sCRae82cbaGw5USiJTWLoPQCU+KoxeRkBfyGpMGDUtdI9AnLvE4EFG1RVw4g
EnExeRLrcRbi/RtzyW8CD/iMjhPItWgaccLDYSAxyOGa6cMQ+42FHHm4MQUWqSwIlCnLkCKnsZBb
621RmAqU9rE4kKogVr10aMDFiXlIDMWQuO/v/lquMQYCrl2i7Nwm36kOufrdh7QXMNwEJyo2CcY9
6mDMlS8D4boT4UslxzAu3w1VmgWMCcLsek0ot4M8OpJqM2WykSK2SNROwvI56TQrIKU+uiBt7E6c
YmbhMFea3EwRYTVJibexB7roinshlmuOQbOztweQnQe5ymRsCkClbXrvumK8OSz58ymKAlXiooGT
3PuUAWOSsDd0Fi31qoRkLtcnsT6wLKKKYJn3hyaYiwyYiMNoHW+hUF4DeudXT2/4Dy7qiKk4J24L
TFad7x+iJpGfbaTv8LPSRNvQVQRUU1qnYrWnEl2/QLTY6KZqH72ArTwOsUwtScl+ldY2R0MkqNiH
/4u5IpwoSDOFGk2A
